<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            android:id="@+id/navigation_graph_game"
            app:startDestination="@id/puzzleRecyclerViewFragment">

    <fragment android:id="@+id/puzzleRecyclerViewFragment"
              android:name="com.example.webediametautbenjamin.ui.game.recyclerview.PuzzleRecyclerViewFragment"
              android:label="PuzzleRecyclerViewFragment">
        <action android:id="@+id/action_puzzleRecyclerViewFragment_to_gameFragment" app:destination="@id/gameFragment"
                app:enterAnim="@anim/nav_default_enter_anim" app:exitAnim="@anim/nav_default_exit_anim"
                app:popEnterAnim="@anim/nav_default_pop_enter_anim" app:popExitAnim="@anim/nav_default_pop_exit_anim"/>
        <action android:id="@+id/action_puzzleRecyclerViewFragment_to_settingsGameFragment"
                app:destination="@id/settingsGameFragment"/>
    </fragment>
    <fragment android:id="@+id/gameFragment"
              android:name="com.example.webediametautbenjamin.ui.game.fragment.GameFragment"
              android:label="GameFragment">
        <argument android:name="puzzleId" app:argType="integer"/>
    </fragment>
    <fragment android:id="@+id/settingsGameFragment"
              android:name="com.example.webediametautbenjamin.ui.game.settings.SettingsGameFragment"
              android:label="SettingsGameFragment"/>
</navigation>